BEGIN{
	printf("// ----- begin comment -----\n");
	printf("#if 0\n");
	Nmin= 1000;
	Nmax=-Nmin;
	for(m=0;m<=20;m++) {
		N=-1;
		filename="mat."m;
		while ( ( getline < filename ) > 0 ) {
			N = $1; f = $2;
			s[N","m] = 1*f;
			if(Nmin>N)Nmin=N;
			if(Nmax<N)Nmax=N;
		}
		close(filename);
		if(m==0) sm = ( N == -1 );
	}
	if ( Nmin == 0 ) Nmin = 1;
	for(m=sm;m<=20;m++) { point[m] = 0; }
	for(n=Nmin;n<=Nmax;n++) {
		for(m=sm;m<=20;m++) { order[m] = m; }
		for(m=sm;m<=20;m++) {
		for(j=m+1;j<=20;j++) {
			if ( s[n","order[m]] < s[n","order[j]] ) {
				k=order[m]; order[m] = order[j]; order[j] = k;
			}
		}
		}
		printf("%d ",n);
		mk=order[sm];
		smax[n]=s[n","mk];
		printf(" %g /", smax[n]);
		for(j=sm+0;j<=20;j++) {
			mk = order[j];
			sk = s[n","mk];
			fx = s[n","mk] - smax[n];
                        d = (j-sm+1);
			c = - 100 * fx * fx * d * d;
			dp = ( c > -100 ) ? exp(c) : 0;
			point[mk] += dp;
			printf(" %d", mk);
		}
		printf("\n");
	}

	for(m=sm;m<=20;m++) { order[m] = m; }
	for(m=sm;m<=20;m++) {
	for(j=m+1;j<=20;j++) {
		if ( point[order[m]] < point[order[j]] ) {
			k=order[m]; order[m] = order[j]; order[j] = k;
		}
	}
	}
	printf("%% stats\n");
	for(m=sm;m<=20;m++) {
		printf("%% %2d %8d\n", order[m], int(point[order[m]]));
	}

	for(m=sm;m<=20;m++) used[m]=0;
	for(n=Nmin;n<=Nmax;n++) {
		SMAX = smax[n];
		if ( SMAX <= 0 ) {
			r = -1e+10; j=0;
			for(m=sm;m<=20;m++) {
				k = order[m];
				if ( r < s[n","k] ) {
					r = s[n","k]; j = k;
				}
			}
		} else {
			r = 1e+10; j=0;
			for(m=sm;m<=20;m++) {
				k = order[m];
				c = (SMAX - s[n","k])/SMAX;
				if ( c < 0.05 ) {
					r0 = c + 0.10 * ((m-sm+1)/(20-sm+1));
					if ( r0 < r ) {
						r = r0; j = k;
					}
				}
			}
		}
		qp[n] = j;
		printf("%% %d %d %g / %g %s\n",
			n, j, s[n","j], SMAX, s[n","j]==SMAX ? " " : "*" );
		used[j] = 1;
	}
	printf("// ----- end comment -----\n");

	for(m=sm;m<=20;m++) {
		if ( used[m] ) {
			printf("#define\tKERNEL_%d\t1\n", m);
		} else {
			printf("#define\tKERNEL_%d\t0\n", m);
		}
	}
	printf("\n");

	n0 = Nmin;
	for(n=Nmin+1;n<=Nmax;n++) {
	if ( qp[n] != qp[n0] ) {
		printf("if ( n >= %d && n < %d ) {\n", n0, n );
		printf("\tBLK = %d;\n", qp[n0]);
		printf("} else\n");
		n0 = n;
	}
	}
		printf("if ( n >= %d && n < %d ) {\n", n0, 1000000 );
		printf("\tBLK = %d;\n", qp[n0]);
		printf("}\n");

	exit;
}
END{ exit 0; }

