#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-U
Thu Feb 16 01:46:06 JST 2017
Host on pascal.aics27.riken.jp
Device is GeForce-GTX-1080
****************************************/-->
// device name
DEVICE= GeForce-GTX-1080
// the number of multi-processors
MP= 20
// compute-compatibility generation
CG= 610
// capacity of the global memory
MAXmem= 8504148480
// for double or cuFloatComplex
MAXDIM= 30973
// for float
MAXDIM2= 43803
// for cuDoubleComplex or DD
MAXDIM3= 21901
// for DD-Complex
MAXDIM4= 15486
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 610
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_11	1
#define	KERNEL_14	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1

if ( n >= 1 && n < 116 ) {
	BLK = 8;
} else
if ( n >= 116 && n < 120 ) {
	BLK = 2;
} else
if ( n >= 120 && n < 163 ) {
	BLK = 4;
} else
if ( n >= 163 && n < 209 ) {
	BLK = 5;
} else
if ( n >= 209 && n < 213 ) {
	BLK = 8;
} else
if ( n >= 213 && n < 390 ) {
	BLK = 1;
} else
if ( n >= 390 && n < 440 ) {
	BLK = 8;
} else
if ( n >= 440 && n < 671 ) {
	BLK = 1;
} else
if ( n >= 671 && n < 733 ) {
	BLK = 8;
} else
if ( n >= 733 && n < 1217 ) {
	BLK = 1;
} else
if ( n >= 1217 && n < 1286 ) {
	BLK = 6;
} else
if ( n >= 1286 && n < 1575 ) {
	BLK = 1;
} else
if ( n >= 1575 && n < 1582 ) {
	BLK = 8;
} else
if ( n >= 1582 && n < 1621 ) {
	BLK = 16;
} else
if ( n >= 1621 && n < 1888 ) {
	BLK = 8;
} else
if ( n >= 1888 && n < 1950 ) {
	BLK = 5;
} else
if ( n >= 1950 && n < 2115 ) {
	BLK = 6;
} else
if ( n >= 2115 && n < 2351 ) {
	BLK = 7;
} else
if ( n >= 2351 && n < 2444 ) {
	BLK = 5;
} else
if ( n >= 2444 && n < 3057 ) {
	BLK = 11;
} else
if ( n >= 3057 && n < 3095 ) {
	BLK = 5;
} else
if ( n >= 3095 && n < 3258 ) {
	BLK = 8;
} else
if ( n >= 3258 && n < 3331 ) {
	BLK = 14;
} else
if ( n >= 3331 && n < 4255 ) {
	BLK = 8;
} else
if ( n >= 4255 && n < 4591 ) {
	BLK = 2;
} else
if ( n >= 4591 && n < 4814 ) {
	BLK = 11;
} else
if ( n >= 4814 && n < 4877 ) {
	BLK = 2;
} else
if ( n >= 4877 && n < 4954 ) {
	BLK = 8;
} else
if ( n >= 4954 && n < 5234 ) {
	BLK = 11;
} else
if ( n >= 5234 && n < 5737 ) {
	BLK = 8;
} else
if ( n >= 5737 && n < 6261 ) {
	BLK = 4;
} else
if ( n >= 6261 && n < 6472 ) {
	BLK = 2;
} else
if ( n >= 6472 && n < 6669 ) {
	BLK = 9;
} else
if ( n >= 6669 && n < 6805 ) {
	BLK = 4;
} else
if ( n >= 6805 && n < 6872 ) {
	BLK = 11;
} else
if ( n >= 6872 && n < 6976 ) {
	BLK = 2;
} else
if ( n >= 6976 && n < 7323 ) {
	BLK = 11;
} else
if ( n >= 7323 && n < 8536 ) {
	BLK = 4;
} else
if ( n >= 8536 && n < 8760 ) {
	BLK = 11;
} else
if ( n >= 8760 && n < 8947 ) {
	BLK = 9;
} else
if ( n >= 8947 && n < 9407 ) {
	BLK = 4;
} else
if ( n >= 9407 && n < 9780 ) {
	BLK = 9;
} else
if ( n >= 9780 && n < 10041 ) {
	BLK = 4;
} else
if ( n >= 10041 && n < 10500 ) {
	BLK = 11;
} else
if ( n >= 10500 && n < 10637 ) {
	BLK = 4;
} else
if ( n >= 10637 && n < 11690 ) {
	BLK = 9;
} else
if ( n >= 11690 && n < 12039 ) {
	BLK = 11;
} else
if ( n >= 12039 && n < 12225 ) {
	BLK = 9;
} else
if ( n >= 12225 && n < 12504 ) {
	BLK = 4;
} else
if ( n >= 12504 && n < 12839 ) {
	BLK = 9;
} else
if ( n >= 12839 && n < 13128 ) {
	BLK = 11;
} else
if ( n >= 13128 && n < 18747 ) {
	BLK = 9;
} else
if ( n >= 18747 && n < 19353 ) {
	BLK = 11;
} else
if ( n >= 19353 && n < 21019 ) {
	BLK = 9;
} else
if ( n >= 21019 && n < 23455 ) {
	BLK = 11;
} else
if ( n >= 23455 && n < 24445 ) {
	BLK = 9;
} else
if ( n >= 24445 && n < 25800 ) {
	BLK = 11;
} else
if ( n >= 25800 && n < 27835 ) {
	BLK = 9;
} else
if ( n >= 27835 && n < 30551 ) {
	BLK = 11;
} else
if ( n >= 30551 && n < 33539 ) {
	BLK = 9;
} else
if ( n >= 33539 && n < 40352 ) {
	BLK = 11;
} else
if ( n >= 40352 && n < 40979 ) {
	BLK = 9;
} else
if ( n >= 40979 && n < 1000000 ) {
	BLK = 11;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 11;
}
