#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-L
Sun Feb 19 14:43:19 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-750-Ti
****************************************/-->
// device name
DEVICE= GeForce-GTX-750-Ti
// the number of multi-processors
MP= 5
// compute-compatibility generation
CG= 500
// capacity of the global memory
MAXmem= 2096694016
// for double or cuFloatComplex
MAXDIM= 15379
// for float
MAXDIM2= 21750
// for cuDoubleComplex or DD
MAXDIM3= 10875
// for DD-Complex
MAXDIM4= 7689
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 500
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_3	1

if ( n >= 1 && n < 104 ) {
	BLK = 7;
} else
if ( n >= 104 && n < 146 ) {
	BLK = 3;
} else
if ( n >= 146 && n < 151 ) {
	BLK = 9;
} else
if ( n >= 151 && n < 229 ) {
	BLK = 4;
} else
if ( n >= 229 && n < 369 ) {
	BLK = 9;
} else
if ( n >= 369 && n < 416 ) {
	BLK = 8;
} else
if ( n >= 416 && n < 431 ) {
	BLK = 4;
} else
if ( n >= 431 && n < 572 ) {
	BLK = 9;
} else
if ( n >= 572 && n < 620 ) {
	BLK = 8;
} else
if ( n >= 620 && n < 661 ) {
	BLK = 10;
} else
if ( n >= 661 && n < 674 ) {
	BLK = 9;
} else
if ( n >= 674 && n < 733 ) {
	BLK = 4;
} else
if ( n >= 733 && n < 881 ) {
	BLK = 9;
} else
if ( n >= 881 && n < 892 ) {
	BLK = 8;
} else
if ( n >= 892 && n < 930 ) {
	BLK = 4;
} else
if ( n >= 930 && n < 1002 ) {
	BLK = 9;
} else
if ( n >= 1002 && n < 1109 ) {
	BLK = 4;
} else
if ( n >= 1109 && n < 1256 ) {
	BLK = 9;
} else
if ( n >= 1256 && n < 1532 ) {
	BLK = 4;
} else
if ( n >= 1532 && n < 2194 ) {
	BLK = 9;
} else
if ( n >= 2194 && n < 2320 ) {
	BLK = 8;
} else
if ( n >= 2320 && n < 2582 ) {
	BLK = 9;
} else
if ( n >= 2582 && n < 2743 ) {
	BLK = 6;
} else
if ( n >= 2743 && n < 2852 ) {
	BLK = 8;
} else
if ( n >= 2852 && n < 2979 ) {
	BLK = 9;
} else
if ( n >= 2979 && n < 3057 ) {
	BLK = 6;
} else
if ( n >= 3057 && n < 3153 ) {
	BLK = 9;
} else
if ( n >= 3153 && n < 3323 ) {
	BLK = 8;
} else
if ( n >= 3323 && n < 3631 ) {
	BLK = 9;
} else
if ( n >= 3631 && n < 3716 ) {
	BLK = 4;
} else
if ( n >= 3716 && n < 3717 ) {
	BLK = 8;
} else
if ( n >= 3717 && n < 3813 ) {
	BLK = 10;
} else
if ( n >= 3813 && n < 3848 ) {
	BLK = 8;
} else
if ( n >= 3848 && n < 4080 ) {
	BLK = 9;
} else
if ( n >= 4080 && n < 4228 ) {
	BLK = 4;
} else
if ( n >= 4228 && n < 4234 ) {
	BLK = 6;
} else
if ( n >= 4234 && n < 4498 ) {
	BLK = 8;
} else
if ( n >= 4498 && n < 4563 ) {
	BLK = 1;
} else
if ( n >= 4563 && n < 4891 ) {
	BLK = 9;
} else
if ( n >= 4891 && n < 5013 ) {
	BLK = 8;
} else
if ( n >= 5013 && n < 5097 ) {
	BLK = 9;
} else
if ( n >= 5097 && n < 5546 ) {
	BLK = 4;
} else
if ( n >= 5546 && n < 5810 ) {
	BLK = 9;
} else
if ( n >= 5810 && n < 6386 ) {
	BLK = 4;
} else
if ( n >= 6386 && n < 6659 ) {
	BLK = 9;
} else
if ( n >= 6659 && n < 6866 ) {
	BLK = 8;
} else
if ( n >= 6866 && n < 7040 ) {
	BLK = 4;
} else
if ( n >= 7040 && n < 7060 ) {
	BLK = 8;
} else
if ( n >= 7060 && n < 9037 ) {
	BLK = 9;
} else
if ( n >= 9037 && n < 9263 ) {
	BLK = 6;
} else
if ( n >= 9263 && n < 9666 ) {
	BLK = 9;
} else
if ( n >= 9666 && n < 9927 ) {
	BLK = 4;
} else
if ( n >= 9927 && n < 10065 ) {
	BLK = 9;
} else
if ( n >= 10065 && n < 10619 ) {
	BLK = 5;
} else
if ( n >= 10619 && n < 10732 ) {
	BLK = 4;
} else
if ( n >= 10732 && n < 1000000 ) {
	BLK = 6;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 6;
}
