#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Sat Feb 18 05:02:10 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuDoubleComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 104 ) {
	BLK = 3;
} else
if ( n >= 104 && n < 169 ) {
	BLK = 7;
} else
if ( n >= 169 && n < 212 ) {
	BLK = 2;
} else
if ( n >= 212 && n < 259 ) {
	BLK = 7;
} else
if ( n >= 259 && n < 284 ) {
	BLK = 3;
} else
if ( n >= 284 && n < 459 ) {
	BLK = 2;
} else
if ( n >= 459 && n < 547 ) {
	BLK = 3;
} else
if ( n >= 547 && n < 686 ) {
	BLK = 2;
} else
if ( n >= 686 && n < 739 ) {
	BLK = 3;
} else
if ( n >= 739 && n < 756 ) {
	BLK = 2;
} else
if ( n >= 756 && n < 802 ) {
	BLK = 3;
} else
if ( n >= 802 && n < 885 ) {
	BLK = 2;
} else
if ( n >= 885 && n < 930 ) {
	BLK = 3;
} else
if ( n >= 930 && n < 997 ) {
	BLK = 2;
} else
if ( n >= 997 && n < 1175 ) {
	BLK = 3;
} else
if ( n >= 1175 && n < 1285 ) {
	BLK = 6;
} else
if ( n >= 1285 && n < 1412 ) {
	BLK = 8;
} else
if ( n >= 1412 && n < 1700 ) {
	BLK = 7;
} else
if ( n >= 1700 && n < 1751 ) {
	BLK = 8;
} else
if ( n >= 1751 && n < 2027 ) {
	BLK = 7;
} else
if ( n >= 2027 && n < 2119 ) {
	BLK = 8;
} else
if ( n >= 2119 && n < 2519 ) {
	BLK = 7;
} else
if ( n >= 2519 && n < 2621 ) {
	BLK = 8;
} else
if ( n >= 2621 && n < 2795 ) {
	BLK = 1;
} else
if ( n >= 2795 && n < 3235 ) {
	BLK = 8;
} else
if ( n >= 3235 && n < 3424 ) {
	BLK = 1;
} else
if ( n >= 3424 && n < 3638 ) {
	BLK = 8;
} else
if ( n >= 3638 && n < 3757 ) {
	BLK = 7;
} else
if ( n >= 3757 && n < 3916 ) {
	BLK = 4;
} else
if ( n >= 3916 && n < 4219 ) {
	BLK = 8;
} else
if ( n >= 4219 && n < 4465 ) {
	BLK = 4;
} else
if ( n >= 4465 && n < 4965 ) {
	BLK = 8;
} else
if ( n >= 4965 && n < 5278 ) {
	BLK = 4;
} else
if ( n >= 5278 && n < 5387 ) {
	BLK = 8;
} else
if ( n >= 5387 && n < 6244 ) {
	BLK = 4;
} else
if ( n >= 6244 && n < 6398 ) {
	BLK = 8;
} else
if ( n >= 6398 && n < 8595 ) {
	BLK = 4;
} else
if ( n >= 8595 && n < 8879 ) {
	BLK = 8;
} else
if ( n >= 8879 && n < 9268 ) {
	BLK = 4;
} else
if ( n >= 9268 && n < 9641 ) {
	BLK = 8;
} else
if ( n >= 9641 && n < 10010 ) {
	BLK = 4;
} else
if ( n >= 10010 && n < 11030 ) {
	BLK = 8;
} else
if ( n >= 11030 && n < 12500 ) {
	BLK = 4;
} else
if ( n >= 12500 && n < 12989 ) {
	BLK = 8;
} else
if ( n >= 12989 && n < 14750 ) {
	BLK = 4;
} else
if ( n >= 14750 && n < 15250 ) {
	BLK = 8;
} else
if ( n >= 15250 && n < 16560 ) {
	BLK = 4;
} else
if ( n >= 16560 && n < 17152 ) {
	BLK = 8;
} else
if ( n >= 17152 && n < 18806 ) {
	BLK = 4;
} else
if ( n >= 18806 && n < 19232 ) {
	BLK = 8;
} else
if ( n >= 19232 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
