#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Thu Feb 16 19:30:22 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuDoubleComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_16	1
#define	KERNEL_3	1

if ( n >= 1 && n < 105 ) {
	BLK = 1;
} else
if ( n >= 105 && n < 120 ) {
	BLK = 4;
} else
if ( n >= 120 && n < 244 ) {
	BLK = 7;
} else
if ( n >= 244 && n < 316 ) {
	BLK = 1;
} else
if ( n >= 316 && n < 353 ) {
	BLK = 7;
} else
if ( n >= 353 && n < 394 ) {
	BLK = 2;
} else
if ( n >= 394 && n < 760 ) {
	BLK = 1;
} else
if ( n >= 760 && n < 837 ) {
	BLK = 6;
} else
if ( n >= 837 && n < 857 ) {
	BLK = 1;
} else
if ( n >= 857 && n < 918 ) {
	BLK = 2;
} else
if ( n >= 918 && n < 964 ) {
	BLK = 1;
} else
if ( n >= 964 && n < 1112 ) {
	BLK = 4;
} else
if ( n >= 1112 && n < 1287 ) {
	BLK = 1;
} else
if ( n >= 1287 && n < 1296 ) {
	BLK = 4;
} else
if ( n >= 1296 && n < 1351 ) {
	BLK = 2;
} else
if ( n >= 1351 && n < 1367 ) {
	BLK = 4;
} else
if ( n >= 1367 && n < 1590 ) {
	BLK = 7;
} else
if ( n >= 1590 && n < 1727 ) {
	BLK = 1;
} else
if ( n >= 1727 && n < 1848 ) {
	BLK = 7;
} else
if ( n >= 1848 && n < 1951 ) {
	BLK = 1;
} else
if ( n >= 1951 && n < 2006 ) {
	BLK = 4;
} else
if ( n >= 2006 && n < 2449 ) {
	BLK = 1;
} else
if ( n >= 2449 && n < 3029 ) {
	BLK = 4;
} else
if ( n >= 3029 && n < 3271 ) {
	BLK = 5;
} else
if ( n >= 3271 && n < 3356 ) {
	BLK = 2;
} else
if ( n >= 3356 && n < 3998 ) {
	BLK = 5;
} else
if ( n >= 3998 && n < 4284 ) {
	BLK = 4;
} else
if ( n >= 4284 && n < 4459 ) {
	BLK = 5;
} else
if ( n >= 4459 && n < 4665 ) {
	BLK = 2;
} else
if ( n >= 4665 && n < 5064 ) {
	BLK = 5;
} else
if ( n >= 5064 && n < 5121 ) {
	BLK = 16;
} else
if ( n >= 5121 && n < 5891 ) {
	BLK = 5;
} else
if ( n >= 5891 && n < 6016 ) {
	BLK = 2;
} else
if ( n >= 6016 && n < 6940 ) {
	BLK = 3;
} else
if ( n >= 6940 && n < 7012 ) {
	BLK = 5;
} else
if ( n >= 7012 && n < 7835 ) {
	BLK = 3;
} else
if ( n >= 7835 && n < 8414 ) {
	BLK = 5;
} else
if ( n >= 8414 && n < 8755 ) {
	BLK = 3;
} else
if ( n >= 8755 && n < 9093 ) {
	BLK = 5;
} else
if ( n >= 9093 && n < 9816 ) {
	BLK = 3;
} else
if ( n >= 9816 && n < 10000 ) {
	BLK = 5;
} else
if ( n >= 10000 && n < 10534 ) {
	BLK = 3;
} else
if ( n >= 10534 && n < 10955 ) {
	BLK = 5;
} else
if ( n >= 10955 && n < 12773 ) {
	BLK = 3;
} else
if ( n >= 12773 && n < 13103 ) {
	BLK = 5;
} else
if ( n >= 13103 && n < 13762 ) {
	BLK = 3;
} else
if ( n >= 13762 && n < 14074 ) {
	BLK = 5;
} else
if ( n >= 14074 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
