#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Thu Feb 16 00:53:57 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-980
****************************************/-->
// device name
DEVICE= GeForce-GTX-980
// the number of multi-processors
MP= 16
// compute-compatibility generation
CG= 520
// capacity of the global memory
MAXmem= 4233506304
// for double or cuFloatComplex
MAXDIM= 21853
// for float
MAXDIM2= 30906
// for cuDoubleComplex or DD
MAXDIM3= 15453
// for DD-Complex
MAXDIM4= 10926
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 520
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_10	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_14	1
#define	KERNEL_3	1

if ( n >= 1 && n < 107 ) {
	BLK = 12;
} else
if ( n >= 107 && n < 158 ) {
	BLK = 3;
} else
if ( n >= 158 && n < 213 ) {
	BLK = 14;
} else
if ( n >= 213 && n < 267 ) {
	BLK = 3;
} else
if ( n >= 267 && n < 347 ) {
	BLK = 12;
} else
if ( n >= 347 && n < 433 ) {
	BLK = 14;
} else
if ( n >= 433 && n < 475 ) {
	BLK = 12;
} else
if ( n >= 475 && n < 567 ) {
	BLK = 14;
} else
if ( n >= 567 && n < 663 ) {
	BLK = 12;
} else
if ( n >= 663 && n < 779 ) {
	BLK = 10;
} else
if ( n >= 779 && n < 968 ) {
	BLK = 12;
} else
if ( n >= 968 && n < 1002 ) {
	BLK = 14;
} else
if ( n >= 1002 && n < 1056 ) {
	BLK = 10;
} else
if ( n >= 1056 && n < 1446 ) {
	BLK = 12;
} else
if ( n >= 1446 && n < 1602 ) {
	BLK = 10;
} else
if ( n >= 1602 && n < 1668 ) {
	BLK = 12;
} else
if ( n >= 1668 && n < 2432 ) {
	BLK = 14;
} else
if ( n >= 2432 && n < 2623 ) {
	BLK = 3;
} else
if ( n >= 2623 && n < 2726 ) {
	BLK = 14;
} else
if ( n >= 2726 && n < 2784 ) {
	BLK = 3;
} else
if ( n >= 2784 && n < 3005 ) {
	BLK = 13;
} else
if ( n >= 3005 && n < 3263 ) {
	BLK = 3;
} else
if ( n >= 3263 && n < 3389 ) {
	BLK = 14;
} else
if ( n >= 3389 && n < 3418 ) {
	BLK = 3;
} else
if ( n >= 3418 && n < 3578 ) {
	BLK = 7;
} else
if ( n >= 3578 && n < 3842 ) {
	BLK = 3;
} else
if ( n >= 3842 && n < 4078 ) {
	BLK = 7;
} else
if ( n >= 4078 && n < 4251 ) {
	BLK = 3;
} else
if ( n >= 4251 && n < 4541 ) {
	BLK = 7;
} else
if ( n >= 4541 && n < 5763 ) {
	BLK = 3;
} else
if ( n >= 5763 && n < 5937 ) {
	BLK = 14;
} else
if ( n >= 5937 && n < 6201 ) {
	BLK = 3;
} else
if ( n >= 6201 && n < 6236 ) {
	BLK = 14;
} else
if ( n >= 6236 && n < 6478 ) {
	BLK = 6;
} else
if ( n >= 6478 && n < 6736 ) {
	BLK = 3;
} else
if ( n >= 6736 && n < 6816 ) {
	BLK = 6;
} else
if ( n >= 6816 && n < 7503 ) {
	BLK = 3;
} else
if ( n >= 7503 && n < 7549 ) {
	BLK = 14;
} else
if ( n >= 7549 && n < 7832 ) {
	BLK = 4;
} else
if ( n >= 7832 && n < 8494 ) {
	BLK = 3;
} else
if ( n >= 8494 && n < 8870 ) {
	BLK = 6;
} else
if ( n >= 8870 && n < 9100 ) {
	BLK = 3;
} else
if ( n >= 9100 && n < 9380 ) {
	BLK = 14;
} else
if ( n >= 9380 && n < 9601 ) {
	BLK = 4;
} else
if ( n >= 9601 && n < 10520 ) {
	BLK = 6;
} else
if ( n >= 10520 && n < 10586 ) {
	BLK = 3;
} else
if ( n >= 10586 && n < 11056 ) {
	BLK = 6;
} else
if ( n >= 11056 && n < 11675 ) {
	BLK = 4;
} else
if ( n >= 11675 && n < 11772 ) {
	BLK = 6;
} else
if ( n >= 11772 && n < 12235 ) {
	BLK = 3;
} else
if ( n >= 12235 && n < 12610 ) {
	BLK = 4;
} else
if ( n >= 12610 && n < 13307 ) {
	BLK = 6;
} else
if ( n >= 13307 && n < 13765 ) {
	BLK = 4;
} else
if ( n >= 13765 && n < 16368 ) {
	BLK = 6;
} else
if ( n >= 16368 && n < 16623 ) {
	BLK = 4;
} else
if ( n >= 16623 && n < 19729 ) {
	BLK = 6;
} else
if ( n >= 19729 && n < 20745 ) {
	BLK = 4;
} else
if ( n >= 20745 && n < 26008 ) {
	BLK = 6;
} else
if ( n >= 26008 && n < 27347 ) {
	BLK = 4;
} else
if ( n >= 27347 && n < 30727 ) {
	BLK = 6;
} else
if ( n >= 30727 && n < 1000000 ) {
	BLK = 4;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 4;
}
