#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Fri Feb 10 17:52:23 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6375967232
// for double or cuFloatComplex
MAXDIM= 26819
// for float
MAXDIM2= 37928
// for cuDoubleComplex or DD
MAXDIM3= 18964
// for DD-Complex
MAXDIM4= 13409
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_9	1
#define	KERNEL_1	1
#define	KERNEL_3	1

if ( n >= 1 && n < 37 ) {
	BLK = 5;
} else
if ( n >= 37 && n < 174 ) {
	BLK = 9;
} else
if ( n >= 174 && n < 254 ) {
	BLK = 3;
} else
if ( n >= 254 && n < 318 ) {
	BLK = 9;
} else
if ( n >= 318 && n < 360 ) {
	BLK = 3;
} else
if ( n >= 360 && n < 762 ) {
	BLK = 9;
} else
if ( n >= 762 && n < 790 ) {
	BLK = 4;
} else
if ( n >= 790 && n < 1751 ) {
	BLK = 7;
} else
if ( n >= 1751 && n < 1806 ) {
	BLK = 6;
} else
if ( n >= 1806 && n < 1921 ) {
	BLK = 7;
} else
if ( n >= 1921 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
