#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Fri Feb 10 09:13:29 JST 2017
Host on newton.aics27.riken.jp
Device is GeForce-GTX-TITAN-Black
****************************************/-->
// device name
DEVICE= GeForce-GTX-TITAN-Black
// the number of multi-processors
MP= 15
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 6375967232
// for double or cuFloatComplex
MAXDIM= 26819
// for float
MAXDIM2= 37928
// for cuDoubleComplex or DD
MAXDIM3= 18964
// for DD-Complex
MAXDIM4= 13409
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 78 ) {
	BLK = 1;
} else
if ( n >= 78 && n < 92 ) {
	BLK = 8;
} else
if ( n >= 92 && n < 225 ) {
	BLK = 2;
} else
if ( n >= 225 && n < 246 ) {
	BLK = 8;
} else
if ( n >= 246 && n < 269 ) {
	BLK = 10;
} else
if ( n >= 269 && n < 428 ) {
	BLK = 2;
} else
if ( n >= 428 && n < 430 ) {
	BLK = 10;
} else
if ( n >= 430 && n < 472 ) {
	BLK = 6;
} else
if ( n >= 472 && n < 494 ) {
	BLK = 8;
} else
if ( n >= 494 && n < 599 ) {
	BLK = 2;
} else
if ( n >= 599 && n < 658 ) {
	BLK = 6;
} else
if ( n >= 658 && n < 920 ) {
	BLK = 2;
} else
if ( n >= 920 && n < 1004 ) {
	BLK = 10;
} else
if ( n >= 1004 && n < 1121 ) {
	BLK = 8;
} else
if ( n >= 1121 && n < 1358 ) {
	BLK = 10;
} else
if ( n >= 1358 && n < 1884 ) {
	BLK = 7;
} else
if ( n >= 1884 && n < 16723 ) {
	BLK = 1;
} else
if ( n >= 16723 && n < 17342 ) {
	BLK = 4;
} else
if ( n >= 17342 && n < 22829 ) {
	BLK = 1;
} else
if ( n >= 22829 && n < 23181 ) {
	BLK = 3;
} else
if ( n >= 23181 && n < 26801 ) {
	BLK = 1;
} else
if ( n >= 26801 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
