#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Sat Feb 18 01:01:05 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_10	1
#define	KERNEL_1	1
#define	KERNEL_2	1

if ( n >= 1 && n < 101 ) {
	BLK = 2;
} else
if ( n >= 101 && n < 243 ) {
	BLK = 8;
} else
if ( n >= 243 && n < 272 ) {
	BLK = 10;
} else
if ( n >= 272 && n < 330 ) {
	BLK = 2;
} else
if ( n >= 330 && n < 559 ) {
	BLK = 8;
} else
if ( n >= 559 && n < 626 ) {
	BLK = 5;
} else
if ( n >= 626 && n < 677 ) {
	BLK = 8;
} else
if ( n >= 677 && n < 743 ) {
	BLK = 2;
} else
if ( n >= 743 && n < 748 ) {
	BLK = 10;
} else
if ( n >= 748 && n < 1425 ) {
	BLK = 8;
} else
if ( n >= 1425 && n < 2130 ) {
	BLK = 6;
} else
if ( n >= 2130 && n < 2323 ) {
	BLK = 1;
} else
if ( n >= 2323 && n < 2361 ) {
	BLK = 6;
} else
if ( n >= 2361 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
