#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Fri Feb 17 13:03:54 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_5	1
#define	KERNEL_10	1
#define	KERNEL_11	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 117 ) {
	BLK = 3;
} else
if ( n >= 117 && n < 177 ) {
	BLK = 11;
} else
if ( n >= 177 && n < 261 ) {
	BLK = 2;
} else
if ( n >= 261 && n < 318 ) {
	BLK = 3;
} else
if ( n >= 318 && n < 396 ) {
	BLK = 11;
} else
if ( n >= 396 && n < 480 ) {
	BLK = 2;
} else
if ( n >= 480 && n < 577 ) {
	BLK = 11;
} else
if ( n >= 577 && n < 656 ) {
	BLK = 2;
} else
if ( n >= 656 && n < 873 ) {
	BLK = 11;
} else
if ( n >= 873 && n < 926 ) {
	BLK = 2;
} else
if ( n >= 926 && n < 987 ) {
	BLK = 11;
} else
if ( n >= 987 && n < 1063 ) {
	BLK = 2;
} else
if ( n >= 1063 && n < 1241 ) {
	BLK = 11;
} else
if ( n >= 1241 && n < 1342 ) {
	BLK = 2;
} else
if ( n >= 1342 && n < 1661 ) {
	BLK = 11;
} else
if ( n >= 1661 && n < 1721 ) {
	BLK = 3;
} else
if ( n >= 1721 && n < 1845 ) {
	BLK = 12;
} else
if ( n >= 1845 && n < 1981 ) {
	BLK = 3;
} else
if ( n >= 1981 && n < 2063 ) {
	BLK = 13;
} else
if ( n >= 2063 && n < 2291 ) {
	BLK = 10;
} else
if ( n >= 2291 && n < 2607 ) {
	BLK = 1;
} else
if ( n >= 2607 && n < 2667 ) {
	BLK = 10;
} else
if ( n >= 2667 && n < 2938 ) {
	BLK = 1;
} else
if ( n >= 2938 && n < 3062 ) {
	BLK = 10;
} else
if ( n >= 3062 && n < 3181 ) {
	BLK = 1;
} else
if ( n >= 3181 && n < 3374 ) {
	BLK = 10;
} else
if ( n >= 3374 && n < 4012 ) {
	BLK = 1;
} else
if ( n >= 4012 && n < 4099 ) {
	BLK = 10;
} else
if ( n >= 4099 && n < 4504 ) {
	BLK = 1;
} else
if ( n >= 4504 && n < 4708 ) {
	BLK = 10;
} else
if ( n >= 4708 && n < 4778 ) {
	BLK = 1;
} else
if ( n >= 4778 && n < 4929 ) {
	BLK = 10;
} else
if ( n >= 4929 && n < 5190 ) {
	BLK = 1;
} else
if ( n >= 5190 && n < 5313 ) {
	BLK = 10;
} else
if ( n >= 5313 && n < 5595 ) {
	BLK = 1;
} else
if ( n >= 5595 && n < 5727 ) {
	BLK = 10;
} else
if ( n >= 5727 && n < 6159 ) {
	BLK = 1;
} else
if ( n >= 6159 && n < 6403 ) {
	BLK = 10;
} else
if ( n >= 6403 && n < 9214 ) {
	BLK = 1;
} else
if ( n >= 9214 && n < 9441 ) {
	BLK = 10;
} else
if ( n >= 9441 && n < 10210 ) {
	BLK = 1;
} else
if ( n >= 10210 && n < 10395 ) {
	BLK = 10;
} else
if ( n >= 10395 && n < 11341 ) {
	BLK = 1;
} else
if ( n >= 11341 && n < 11606 ) {
	BLK = 10;
} else
if ( n >= 11606 && n < 11790 ) {
	BLK = 5;
} else
if ( n >= 11790 && n < 11891 ) {
	BLK = 10;
} else
if ( n >= 11891 && n < 12395 ) {
	BLK = 1;
} else
if ( n >= 12395 && n < 12663 ) {
	BLK = 10;
} else
if ( n >= 12663 && n < 12918 ) {
	BLK = 5;
} else
if ( n >= 12918 && n < 13429 ) {
	BLK = 1;
} else
if ( n >= 13429 && n < 13557 ) {
	BLK = 10;
} else
if ( n >= 13557 && n < 21426 ) {
	BLK = 1;
} else
if ( n >= 21426 && n < 22008 ) {
	BLK = 5;
} else
if ( n >= 22008 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
