#if 0
<--/****************************************
Automatic Performance Tuning for UHEMV-L
Fri Feb 17 20:50:45 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 256 ) {
	BLK = 4;
} else
if ( n >= 256 && n < 384 ) {
	BLK = 5;
} else
if ( n >= 384 && n < 602 ) {
	BLK = 3;
} else
if ( n >= 602 && n < 824 ) {
	BLK = 2;
} else
if ( n >= 824 && n < 909 ) {
	BLK = 3;
} else
if ( n >= 909 && n < 1345 ) {
	BLK = 2;
} else
if ( n >= 1345 && n < 1395 ) {
	BLK = 6;
} else
if ( n >= 1395 && n < 1659 ) {
	BLK = 2;
} else
if ( n >= 1659 && n < 1921 ) {
	BLK = 6;
} else
if ( n >= 1921 && n < 2010 ) {
	BLK = 1;
} else
if ( n >= 2010 && n < 1000000 ) {
	BLK = 6;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 6;
}
