#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-U
Sun Mar 19 04:00:43 JST 2017
Host on a106
Device is Tesla-P100-SXM2-16GB
****************************************/-->
// device name
DEVICE= Tesla-P100-SXM2-16GB
// the number of multi-processors
MP= 56
// compute-compatibility generation
CG= 600
// capacity of the global memory
MAXmem= 17100068864
// for double or cuFloatComplex
MAXDIM= 43921
// for float
MAXDIM2= 62114
// for cuDoubleComplex or DD
MAXDIM3= 31057
// for DD-Complex
MAXDIM4= 21960
// cuda version
CUDA= 8000
<--
#define	CURRENT_GPU	600 
-->
#endif
{
//==========
if(blk==-1){
	#include "chemv-upper-auto2.h"
}
//==========
#if 0
struct chemv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 64, 7, 49, 2, 8 },
	{ 64, 5, 70, 2, 9 },
	{ 32, 5, 95, 3, 5 },
	{ 64, 4, 76, 2, 6 },
	{ 64, 2, 38, 4, 3 },
	{ 32, 4, 100, 3, 7 },
	{ 64, 5, 65, 2, 5 },
	{ 32, 3, 75, 4, 3 },
	{ 64, 6, 60, 2, 6 },
	{ 32, 5, 90, 3, 2 },
	{ 32, 6, 84, 3, 7 },
	{ 64, 4, 72, 2, 6 },
	{ 64, 3, 42, 3, 7 },
	{ 32, 5, 85, 3, 7 },
	{ 128, 2, 38, 2, 2 },
	{ 64, 3, 72, 2, 6 },
	{ 64, 7, 49, 2, 7 },
	{ 64, 4, 76, 2, 3 },
	{ 64, 5, 65, 2, 3 },
	{ 64, 5, 70, 2, 6 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 7, 49, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 5, 70, 2, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 5, 95, 3, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 4, 76, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 2, 38, 4, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 4, 100, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 5, 65, 2, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 3, 75, 4, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 6, 60, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 5, 90, 3, 2 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 6, 84, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 4, 72, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 3, 42, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 5, 85, 3, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 128, GY2D, 2, 38, 2, 2 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 3, 72, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 7, 49, 2, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 4, 76, 2, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 5, 65, 2, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 5, 70, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
