#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Mon Mar 20 19:43:29 JST 2017
Host on a116
Device is Tesla-P100-SXM2-16GB
****************************************/-->
// device name
DEVICE= Tesla-P100-SXM2-16GB
// the number of multi-processors
MP= 56
// compute-compatibility generation
CG= 600
// capacity of the global memory
MAXmem= 17100068864
// for double or cuFloatComplex
MAXDIM= 43921
// for float
MAXDIM2= 62114
// for cuDoubleComplex or DD
MAXDIM3= 31057
// for DD-Complex
MAXDIM4= 21960
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 600
-->
#endif
{
//==========
if(blk==-1){
	#include "ssymv-lower-auto2.h"
}
//==========
#if 0
struct ssymv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 8, 112, 4, 3 },
	{ 32, 6, 84, 5, 7 },
	{ 32, 4, 56, 8, 1 },
	{ 64, 2, 64, 4, 0 },
	{ 32, 7, 98, 4, 0 },
	{ 32, 5, 70, 6, 7 },
	{ 32, 2, 64, 8, 3 },
	{ 32, 6, 78, 5, 1 },
	{ 64, 4, 56, 4, 1 },
	{ 32, 8, 112, 4, 1 },
	{ 32, 6, 84, 5, 1 },
	{ 64, 2, 64, 4, 9 },
	{ 32, 4, 56, 8, 9 },
	{ 32, 5, 70, 6, 9 },
	{ 32, 2, 64, 8, 2 },
	{ 32, 7, 98, 4, 9 },
	{ 32, 6, 78, 5, 6 },
	{ 64, 4, 56, 4, 9 },
	{ 32, 6, 84, 5, 9 },
	{ 64, 2, 64, 4, 5 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 8, 112, 4, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 6, 84, 5, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 4, 56, 8, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 2, 64, 4, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 7, 98, 4, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 5, 70, 6, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 2, 64, 8, 3 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 6, 78, 5, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 4, 56, 4, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 8, 112, 4, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 6, 84, 5, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 2, 64, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 4, 56, 8, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 5, 70, 6, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 2, 64, 8, 2 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 7, 98, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 6, 78, 5, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 4, 56, 4, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 6, 84, 5, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API_private(HESYMVl_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 2, 64, 4, 5 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
