#!/bin/sh

WORK=ASPEN.K2-1.6

if [ -e $WORK ]; then
  \rm -rf $WORK
fi

C_LIST="7000 7050 8000"
F_LIST="u l"
P_LIST="u s c w d z"

for CUDA in $C_LIST
do
  for FORMAT in $F_LIST
  do
    if [ $CUDA = '7000' ]; then
CG_Type=" 200 300 350 500 520 530"
    fi
    if [ $CUDA = '7050' ]; then
CG_Type=" 200 300 350 500 520 530"
    fi
    if [ $CUDA = '8000' ]; then
CG_Type=" 200 300 350 500 520 530 600 610 620"
    fi
    for CG in $CG_Type
    do
      for PRECISION in $P_LIST
      do

        if [ -e $WORK-$PRECISION-$FORMAT-$CUDA-$CG ]; then
          \rm -rf $WORK-$PRECISION-$FORMAT-$CUDA-$CG
        fi

        tar -zxf $WORK.tgz
        mv $WORK $WORK-$PRECISION-$FORMAT-$CUDA-$CG

        if [ -f .$WORK-$PRECISION-$FORMAT-$CUDA-$CG ]; then
          \rm .$WORK-$PRECISION-$FORMAT-$CUDA-$CG
	fi

      done
    done
  done
done

if [ -f .all_done_reguse ]; then
	\rm .all_done_reguse
fi

echo -n 'all: '     > Makefile_1
echo ''     > Makefile_2

for CUDA in $C_LIST
do
  for FORMAT in $F_LIST
  do
    if [ $CUDA = '7000' ]; then
CG_Type=" 200 300 350 500 520 530"
    fi
    if [ $CUDA = '7050' ]; then
CG_Type=" 200 300 350 500 520 530"
    fi
    if [ $CUDA = '8000' ]; then
CG_Type=" 200 300 350 500 520 530 600 610 620"
    fi
    for CG in $CG_Type
    do
      for PRECISION in $P_LIST
      do

        echo -n ' '.$WORK-$PRECISION-$FORMAT-$CUDA-$CG >> Makefile_1

	echo .$WORK-$PRECISION-$FORMAT-$CUDA-$CG: >> Makefile_2
	echo '	cd '$WORK-$PRECISION-$FORMAT-$CUDA-$CG/tuning'; \' >> Makefile_2
	echo '	/bin/sh symv_reguse.sh ' $PRECISION $FORMAT $CUDA $CG' >& log-symv_reguse' >> Makefile_2
	echo '	touch '.$WORK-$PRECISION-$FORMAT-$CUDA-$CG >> Makefile_2

      done
    done
  done
done


cat Makefile_1 >  Makefile_reguse
echo ''        >> Makefile_reguse
cat Makefile_2 >> Makefile_reguse

make -f Makefile_reguse -j6

#/bin/sh ./reguse-after.sh

