#if 0
<--/****************************************
Automatic Performance Tuning for CHEMV-L
Sun Feb 19 16:30:02 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-750-Ti
****************************************/-->
// device name
DEVICE= GeForce-GTX-750-Ti
// the number of multi-processors
MP= 5
// compute-compatibility generation
CG= 500
// capacity of the global memory
MAXmem= 2096694016
// for double or cuFloatComplex
MAXDIM= 15379
// for float
MAXDIM2= 21750
// for cuDoubleComplex or DD
MAXDIM3= 10875
// for DD-Complex
MAXDIM4= 7689
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 500
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 98 ) {
	BLK = 3;
} else
if ( n >= 98 && n < 120 ) {
	BLK = 2;
} else
if ( n >= 120 && n < 226 ) {
	BLK = 1;
} else
if ( n >= 226 && n < 453 ) {
	BLK = 2;
} else
if ( n >= 453 && n < 516 ) {
	BLK = 5;
} else
if ( n >= 516 && n < 621 ) {
	BLK = 7;
} else
if ( n >= 621 && n < 702 ) {
	BLK = 5;
} else
if ( n >= 702 && n < 851 ) {
	BLK = 2;
} else
if ( n >= 851 && n < 918 ) {
	BLK = 5;
} else
if ( n >= 918 && n < 986 ) {
	BLK = 7;
} else
if ( n >= 986 && n < 1082 ) {
	BLK = 4;
} else
if ( n >= 1082 && n < 1107 ) {
	BLK = 5;
} else
if ( n >= 1107 && n < 1239 ) {
	BLK = 7;
} else
if ( n >= 1239 && n < 1367 ) {
	BLK = 4;
} else
if ( n >= 1367 && n < 1426 ) {
	BLK = 7;
} else
if ( n >= 1426 && n < 1503 ) {
	BLK = 5;
} else
if ( n >= 1503 && n < 1632 ) {
	BLK = 6;
} else
if ( n >= 1632 && n < 1727 ) {
	BLK = 4;
} else
if ( n >= 1727 && n < 1890 ) {
	BLK = 5;
} else
if ( n >= 1890 && n < 2026 ) {
	BLK = 4;
} else
if ( n >= 2026 && n < 2359 ) {
	BLK = 5;
} else
if ( n >= 2359 && n < 2413 ) {
	BLK = 4;
} else
if ( n >= 2413 && n < 2768 ) {
	BLK = 5;
} else
if ( n >= 2768 && n < 2942 ) {
	BLK = 4;
} else
if ( n >= 2942 && n < 3342 ) {
	BLK = 5;
} else
if ( n >= 3342 && n < 3983 ) {
	BLK = 1;
} else
if ( n >= 3983 && n < 4040 ) {
	BLK = 4;
} else
if ( n >= 4040 && n < 4277 ) {
	BLK = 5;
} else
if ( n >= 4277 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
