#if 0
<--/****************************************
Automatic Performance Tuning for SSYMV-L
Sat Feb 18 19:45:30 JST 2017
Host on gauss.aics27.riken.jp
Device is GeForce-GTX-750-Ti
****************************************/-->
// device name
DEVICE= GeForce-GTX-750-Ti
// the number of multi-processors
MP= 5
// compute-compatibility generation
CG= 500
// capacity of the global memory
MAXmem= 2096694016
// for double or cuFloatComplex
MAXDIM= 15379
// for float
MAXDIM2= 21750
// for cuDoubleComplex or DD
MAXDIM3= 10875
// for DD-Complex
MAXDIM4= 7689
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 500
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_12	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 84 ) {
	BLK = 8;
} else
if ( n >= 84 && n < 126 ) {
	BLK = 12;
} else
if ( n >= 126 && n < 170 ) {
	BLK = 4;
} else
if ( n >= 170 && n < 192 ) {
	BLK = 13;
} else
if ( n >= 192 && n < 214 ) {
	BLK = 5;
} else
if ( n >= 214 && n < 360 ) {
	BLK = 12;
} else
if ( n >= 360 && n < 386 ) {
	BLK = 13;
} else
if ( n >= 386 && n < 420 ) {
	BLK = 5;
} else
if ( n >= 420 && n < 489 ) {
	BLK = 13;
} else
if ( n >= 489 && n < 800 ) {
	BLK = 5;
} else
if ( n >= 800 && n < 888 ) {
	BLK = 10;
} else
if ( n >= 888 && n < 927 ) {
	BLK = 2;
} else
if ( n >= 927 && n < 982 ) {
	BLK = 5;
} else
if ( n >= 982 && n < 5293 ) {
	BLK = 10;
} else
if ( n >= 5293 && n < 5646 ) {
	BLK = 9;
} else
if ( n >= 5646 && n < 5805 ) {
	BLK = 10;
} else
if ( n >= 5805 && n < 6036 ) {
	BLK = 9;
} else
if ( n >= 6036 && n < 6176 ) {
	BLK = 10;
} else
if ( n >= 6176 && n < 8090 ) {
	BLK = 9;
} else
if ( n >= 8090 && n < 8175 ) {
	BLK = 1;
} else
if ( n >= 8175 && n < 8872 ) {
	BLK = 9;
} else
if ( n >= 8872 && n < 9110 ) {
	BLK = 3;
} else
if ( n >= 9110 && n < 1000000 ) {
	BLK = 9;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 9;
}
