#if 0
<--/****************************************
Automatic Performance Tuning for UHEMV-U
Thu Feb 16 22:51:44 JST 2017
Host on gwacsg15
Device is Tesla-K20Xm
****************************************/-->
// device name
DEVICE= Tesla-K20Xm
// the number of multi-processors
MP= 14
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 5975680512
// for double or cuFloatComplex
MAXDIM= 25964
// for float
MAXDIM2= 36718
// for cuDoubleComplex or DD
MAXDIM3= 18359
// for DD-Complex
MAXDIM4= 12982
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif
{
//==========
if(blk==-1){
	#include "uhemv-upper-auto2.h"
}
//==========
#if 0
struct uhemv_auto_tuning_param_t { 
	int	BLOCK_SIZE, VX, UX, MULTI, MX; 
} PARAM[22] = {
	{ 32, 4, 36, 2, 9 },
	{ 64, 2, 18, 2, 7 },
	{ 64, 2, 16, 2, 1 },
	{ 32, 4, 36, 2, 8 },
	{ 64, 2, 18, 2, 6 },
	{ 32, 4, 36, 2, 0 },
	{ 32, 4, 36, 2, 7 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 32, 1, 1, 1, 0 },
	{ 0, 0, 0, 0, 0 }
};
#endif
//==========
switch ( BLK ) {
#if KERNEL_1
case 1:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 4, 36, 2, 9 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_2
case 2:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 2, 18, 2, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_3
case 3:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 2, 16, 2, 1 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_4
case 4:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 4, 36, 2, 8 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_5
case 5:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 64, GY2D, 2, 18, 2, 6 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_6
case 6:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 4, 36, 2, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_7
case 7:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 4, 36, 2, 7 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_8
case 8:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_9
case 9:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_10
case 10:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_11
case 11:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_12
case 12:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_13
case 13:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_14
case 14:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_15
case 15:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_16
case 16:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_17
case 17:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_18
case 18:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_19
case 19:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
#if KERNEL_20
case 20:
	API_private(HESYMVu_ATOMIC__host) < GPU_ARCH, scalar_t, 32, GY2D, 1, 1, 1, 0 >
		( n, a, lda, x, y, alpha, beta ); break;
#endif
default:
	break;
}
//==========
}
