#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Sat Feb 18 18:10:10 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 103 ) {
	BLK = 9;
} else
if ( n >= 103 && n < 291 ) {
	BLK = 3;
} else
if ( n >= 291 && n < 382 ) {
	BLK = 5;
} else
if ( n >= 382 && n < 706 ) {
	BLK = 3;
} else
if ( n >= 706 && n < 904 ) {
	BLK = 4;
} else
if ( n >= 904 && n < 927 ) {
	BLK = 8;
} else
if ( n >= 927 && n < 1019 ) {
	BLK = 6;
} else
if ( n >= 1019 && n < 1120 ) {
	BLK = 8;
} else
if ( n >= 1120 && n < 2325 ) {
	BLK = 9;
} else
if ( n >= 2325 && n < 2375 ) {
	BLK = 1;
} else
if ( n >= 2375 && n < 3410 ) {
	BLK = 9;
} else
if ( n >= 3410 && n < 3504 ) {
	BLK = 1;
} else
if ( n >= 3504 && n < 3973 ) {
	BLK = 9;
} else
if ( n >= 3973 && n < 4203 ) {
	BLK = 1;
} else
if ( n >= 4203 && n < 5274 ) {
	BLK = 9;
} else
if ( n >= 5274 && n < 5339 ) {
	BLK = 1;
} else
if ( n >= 5339 && n < 5601 ) {
	BLK = 9;
} else
if ( n >= 5601 && n < 5768 ) {
	BLK = 3;
} else
if ( n >= 5768 && n < 7130 ) {
	BLK = 9;
} else
if ( n >= 7130 && n < 7770 ) {
	BLK = 1;
} else
if ( n >= 7770 && n < 8589 ) {
	BLK = 9;
} else
if ( n >= 8589 && n < 8957 ) {
	BLK = 3;
} else
if ( n >= 8957 && n < 10185 ) {
	BLK = 9;
} else
if ( n >= 10185 && n < 10440 ) {
	BLK = 1;
} else
if ( n >= 10440 && n < 10713 ) {
	BLK = 3;
} else
if ( n >= 10713 && n < 10720 ) {
	BLK = 2;
} else
if ( n >= 10720 && n < 11174 ) {
	BLK = 9;
} else
if ( n >= 11174 && n < 11557 ) {
	BLK = 1;
} else
if ( n >= 11557 && n < 12139 ) {
	BLK = 9;
} else
if ( n >= 12139 && n < 12147 ) {
	BLK = 1;
} else
if ( n >= 12147 && n < 12685 ) {
	BLK = 3;
} else
if ( n >= 12685 && n < 1000000 ) {
	BLK = 9;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 9;
}
