#if 0
<--/****************************************
Automatic Performance Tuning for DSYMV-L
Sat Feb 18 05:37:06 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 7050
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 90 ) {
	BLK = 2;
} else
if ( n >= 90 && n < 154 ) {
	BLK = 4;
} else
if ( n >= 154 && n < 223 ) {
	BLK = 8;
} else
if ( n >= 223 && n < 261 ) {
	BLK = 2;
} else
if ( n >= 261 && n < 310 ) {
	BLK = 8;
} else
if ( n >= 310 && n < 387 ) {
	BLK = 2;
} else
if ( n >= 387 && n < 502 ) {
	BLK = 8;
} else
if ( n >= 502 && n < 562 ) {
	BLK = 2;
} else
if ( n >= 562 && n < 653 ) {
	BLK = 8;
} else
if ( n >= 653 && n < 737 ) {
	BLK = 2;
} else
if ( n >= 737 && n < 821 ) {
	BLK = 8;
} else
if ( n >= 821 && n < 895 ) {
	BLK = 2;
} else
if ( n >= 895 && n < 950 ) {
	BLK = 8;
} else
if ( n >= 950 && n < 1091 ) {
	BLK = 2;
} else
if ( n >= 1091 && n < 1385 ) {
	BLK = 8;
} else
if ( n >= 1385 && n < 1989 ) {
	BLK = 4;
} else
if ( n >= 1989 && n < 2173 ) {
	BLK = 9;
} else
if ( n >= 2173 && n < 2397 ) {
	BLK = 1;
} else
if ( n >= 2397 && n < 2647 ) {
	BLK = 7;
} else
if ( n >= 2647 && n < 2739 ) {
	BLK = 3;
} else
if ( n >= 2739 && n < 3219 ) {
	BLK = 1;
} else
if ( n >= 3219 && n < 3364 ) {
	BLK = 3;
} else
if ( n >= 3364 && n < 3616 ) {
	BLK = 4;
} else
if ( n >= 3616 && n < 3890 ) {
	BLK = 7;
} else
if ( n >= 3890 && n < 4055 ) {
	BLK = 1;
} else
if ( n >= 4055 && n < 4520 ) {
	BLK = 7;
} else
if ( n >= 4520 && n < 4872 ) {
	BLK = 1;
} else
if ( n >= 4872 && n < 5830 ) {
	BLK = 7;
} else
if ( n >= 5830 && n < 5885 ) {
	BLK = 3;
} else
if ( n >= 5885 && n < 6237 ) {
	BLK = 7;
} else
if ( n >= 6237 && n < 6536 ) {
	BLK = 3;
} else
if ( n >= 6536 && n < 6943 ) {
	BLK = 7;
} else
if ( n >= 6943 && n < 7051 ) {
	BLK = 3;
} else
if ( n >= 7051 && n < 8293 ) {
	BLK = 7;
} else
if ( n >= 8293 && n < 8806 ) {
	BLK = 3;
} else
if ( n >= 8806 && n < 9113 ) {
	BLK = 7;
} else
if ( n >= 9113 && n < 9819 ) {
	BLK = 3;
} else
if ( n >= 9819 && n < 10070 ) {
	BLK = 7;
} else
if ( n >= 10070 && n < 10522 ) {
	BLK = 3;
} else
if ( n >= 10522 && n < 10814 ) {
	BLK = 7;
} else
if ( n >= 10814 && n < 11894 ) {
	BLK = 3;
} else
if ( n >= 11894 && n < 12546 ) {
	BLK = 7;
} else
if ( n >= 12546 && n < 15168 ) {
	BLK = 3;
} else
if ( n >= 15168 && n < 15612 ) {
	BLK = 7;
} else
if ( n >= 15612 && n < 15990 ) {
	BLK = 3;
} else
if ( n >= 15990 && n < 16831 ) {
	BLK = 7;
} else
if ( n >= 16831 && n < 19783 ) {
	BLK = 3;
} else
if ( n >= 19783 && n < 21171 ) {
	BLK = 7;
} else
if ( n >= 21171 && n < 1000000 ) {
	BLK = 3;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 3;
}
