#if 0
<--/****************************************
Automatic Performance Tuning for WSYMV-L
Fri Feb 17 11:01:03 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_8	1
#define	KERNEL_11	1
#define	KERNEL_1	1
#define	KERNEL_2	1

if ( n >= 1 && n < 125 ) {
	BLK = 4;
} else
if ( n >= 125 && n < 180 ) {
	BLK = 5;
} else
if ( n >= 180 && n < 548 ) {
	BLK = 4;
} else
if ( n >= 548 && n < 937 ) {
	BLK = 5;
} else
if ( n >= 937 && n < 1282 ) {
	BLK = 1;
} else
if ( n >= 1282 && n < 1708 ) {
	BLK = 11;
} else
if ( n >= 1708 && n < 1997 ) {
	BLK = 1;
} else
if ( n >= 1997 && n < 2160 ) {
	BLK = 6;
} else
if ( n >= 2160 && n < 3059 ) {
	BLK = 1;
} else
if ( n >= 3059 && n < 3361 ) {
	BLK = 11;
} else
if ( n >= 3361 && n < 3863 ) {
	BLK = 1;
} else
if ( n >= 3863 && n < 3963 ) {
	BLK = 8;
} else
if ( n >= 3963 && n < 4018 ) {
	BLK = 6;
} else
if ( n >= 4018 && n < 4073 ) {
	BLK = 11;
} else
if ( n >= 4073 && n < 4626 ) {
	BLK = 8;
} else
if ( n >= 4626 && n < 4701 ) {
	BLK = 1;
} else
if ( n >= 4701 && n < 4821 ) {
	BLK = 2;
} else
if ( n >= 4821 && n < 5726 ) {
	BLK = 8;
} else
if ( n >= 5726 && n < 5951 ) {
	BLK = 2;
} else
if ( n >= 5951 && n < 6447 ) {
	BLK = 8;
} else
if ( n >= 6447 && n < 6635 ) {
	BLK = 2;
} else
if ( n >= 6635 && n < 8254 ) {
	BLK = 8;
} else
if ( n >= 8254 && n < 8853 ) {
	BLK = 2;
} else
if ( n >= 8853 && n < 9815 ) {
	BLK = 8;
} else
if ( n >= 9815 && n < 10127 ) {
	BLK = 2;
} else
if ( n >= 10127 && n < 10846 ) {
	BLK = 8;
} else
if ( n >= 10846 && n < 11017 ) {
	BLK = 2;
} else
if ( n >= 11017 && n < 12296 ) {
	BLK = 8;
} else
if ( n >= 12296 && n < 12574 ) {
	BLK = 2;
} else
if ( n >= 12574 && n < 1000000 ) {
	BLK = 8;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 8;
}
