#if 0
<--/****************************************
Automatic Performance Tuning for WSYMV-U
Fri Feb 17 05:13:43 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_4	1
#define	KERNEL_5	1
#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_11	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 27 ) {
	BLK = 13;
} else
if ( n >= 27 && n < 172 ) {
	BLK = 4;
} else
if ( n >= 172 && n < 207 ) {
	BLK = 11;
} else
if ( n >= 207 && n < 265 ) {
	BLK = 4;
} else
if ( n >= 265 && n < 386 ) {
	BLK = 11;
} else
if ( n >= 386 && n < 393 ) {
	BLK = 6;
} else
if ( n >= 393 && n < 626 ) {
	BLK = 4;
} else
if ( n >= 626 && n < 732 ) {
	BLK = 7;
} else
if ( n >= 732 && n < 790 ) {
	BLK = 3;
} else
if ( n >= 790 && n < 889 ) {
	BLK = 5;
} else
if ( n >= 889 && n < 1847 ) {
	BLK = 3;
} else
if ( n >= 1847 && n < 2363 ) {
	BLK = 2;
} else
if ( n >= 2363 && n < 2406 ) {
	BLK = 3;
} else
if ( n >= 2406 && n < 4133 ) {
	BLK = 2;
} else
if ( n >= 4133 && n < 4488 ) {
	BLK = 1;
} else
if ( n >= 4488 && n < 4759 ) {
	BLK = 2;
} else
if ( n >= 4759 && n < 1000000 ) {
	BLK = 1;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 1;
}
