#if 0
<--/****************************************
Automatic Performance Tuning for ZHEMV-U
Fri Feb 17 17:39:03 JST 2017
Host on pascal.aics27.riken.jp
Device is Tesla-K20c
****************************************/-->
// device name
DEVICE= Tesla-K20c
// the number of multi-processors
MP= 13
// compute-compatibility generation
CG= 350
// capacity of the global memory
MAXmem= 4972212480
// for double or cuFloatComplex
MAXDIM= 23683
// for float
MAXDIM2= 33494
// for cuDoubleComplex or DD
MAXDIM3= 16747
// for DD-Complex
MAXDIM4= 11841
// cuda version
CUDA= 8000
<--
#define CURRENT_GPU 350
-->
#endif

#define	KERNEL_6	1
#define	KERNEL_7	1
#define	KERNEL_8	1
#define	KERNEL_9	1
#define	KERNEL_10	1
#define	KERNEL_13	1
#define	KERNEL_1	1
#define	KERNEL_2	1
#define	KERNEL_3	1

if ( n >= 1 && n < 30 ) {
	BLK = 7;
} else
if ( n >= 30 && n < 106 ) {
	BLK = 1;
} else
if ( n >= 106 && n < 166 ) {
	BLK = 9;
} else
if ( n >= 166 && n < 304 ) {
	BLK = 3;
} else
if ( n >= 304 && n < 439 ) {
	BLK = 1;
} else
if ( n >= 439 && n < 467 ) {
	BLK = 13;
} else
if ( n >= 467 && n < 541 ) {
	BLK = 7;
} else
if ( n >= 541 && n < 573 ) {
	BLK = 13;
} else
if ( n >= 573 && n < 597 ) {
	BLK = 9;
} else
if ( n >= 597 && n < 609 ) {
	BLK = 3;
} else
if ( n >= 609 && n < 627 ) {
	BLK = 8;
} else
if ( n >= 627 && n < 679 ) {
	BLK = 7;
} else
if ( n >= 679 && n < 740 ) {
	BLK = 9;
} else
if ( n >= 740 && n < 757 ) {
	BLK = 1;
} else
if ( n >= 757 && n < 784 ) {
	BLK = 7;
} else
if ( n >= 784 && n < 891 ) {
	BLK = 9;
} else
if ( n >= 891 && n < 937 ) {
	BLK = 13;
} else
if ( n >= 937 && n < 942 ) {
	BLK = 6;
} else
if ( n >= 942 && n < 972 ) {
	BLK = 1;
} else
if ( n >= 972 && n < 1129 ) {
	BLK = 9;
} else
if ( n >= 1129 && n < 1136 ) {
	BLK = 1;
} else
if ( n >= 1136 && n < 1169 ) {
	BLK = 10;
} else
if ( n >= 1169 && n < 1426 ) {
	BLK = 2;
} else
if ( n >= 1426 && n < 1468 ) {
	BLK = 9;
} else
if ( n >= 1468 && n < 1718 ) {
	BLK = 1;
} else
if ( n >= 1718 && n < 1892 ) {
	BLK = 9;
} else
if ( n >= 1892 && n < 2013 ) {
	BLK = 2;
} else
if ( n >= 2013 && n < 2055 ) {
	BLK = 13;
} else
if ( n >= 2055 && n < 2188 ) {
	BLK = 1;
} else
if ( n >= 2188 && n < 2346 ) {
	BLK = 2;
} else
if ( n >= 2346 && n < 2431 ) {
	BLK = 1;
} else
if ( n >= 2431 && n < 2619 ) {
	BLK = 9;
} else
if ( n >= 2619 && n < 2686 ) {
	BLK = 1;
} else
if ( n >= 2686 && n < 3682 ) {
	BLK = 9;
} else
if ( n >= 3682 && n < 3836 ) {
	BLK = 2;
} else
if ( n >= 3836 && n < 4083 ) {
	BLK = 9;
} else
if ( n >= 4083 && n < 4154 ) {
	BLK = 2;
} else
if ( n >= 4154 && n < 4550 ) {
	BLK = 9;
} else
if ( n >= 4550 && n < 4654 ) {
	BLK = 2;
} else
if ( n >= 4654 && n < 4841 ) {
	BLK = 1;
} else
if ( n >= 4841 && n < 5760 ) {
	BLK = 9;
} else
if ( n >= 5760 && n < 5986 ) {
	BLK = 1;
} else
if ( n >= 5986 && n < 6540 ) {
	BLK = 9;
} else
if ( n >= 6540 && n < 6627 ) {
	BLK = 1;
} else
if ( n >= 6627 && n < 8244 ) {
	BLK = 9;
} else
if ( n >= 8244 && n < 8685 ) {
	BLK = 1;
} else
if ( n >= 8685 && n < 9836 ) {
	BLK = 9;
} else
if ( n >= 9836 && n < 10178 ) {
	BLK = 1;
} else
if ( n >= 10178 && n < 10871 ) {
	BLK = 9;
} else
if ( n >= 10871 && n < 11100 ) {
	BLK = 1;
} else
if ( n >= 11100 && n < 11866 ) {
	BLK = 9;
} else
if ( n >= 11866 && n < 11997 ) {
	BLK = 13;
} else
if ( n >= 11997 && n < 12478 ) {
	BLK = 9;
} else
if ( n >= 12478 && n < 13397 ) {
	BLK = 1;
} else
if ( n >= 13397 && n < 13847 ) {
	BLK = 9;
} else
if ( n >= 13847 && n < 14302 ) {
	BLK = 13;
} else
if ( n >= 14302 && n < 15509 ) {
	BLK = 9;
} else
if ( n >= 15509 && n < 16556 ) {
	BLK = 13;
} else
if ( n >= 16556 && n < 16572 ) {
	BLK = 1;
} else
if ( n >= 16572 && n < 1000000 ) {
	BLK = 9;
} else
if ( n >= 1000000 && n < 100000000 ) {
	BLK = 9;
}
